Bug 185475 - multimedia/xbmc: patch to add XRANDR knob
Summary: multimedia/xbmc: patch to add XRANDR knob
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-04 21:00 UTC by Juergen Lock
Modified: 2014-01-12 17:04 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.82 KB, patch)
2014-01-04 21:00 UTC, Juergen Lock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Lock 2014-01-04 21:00:00 UTC
	The xrandr code in xbmc seems to cause blank screens in some
	cases (X configured for dual screens in clone mode using
	x11/nvidia-driver here - but something similar also happened
	on the old box with pre-kms radeon on 8.x where I thought
	this was a radeon driver bug.)
	So I had to build xbmc with --disable-xrandr, the patch
	below adds this as an XRANDR knob to the port.

How-To-Repeat: 	Not sure, use X with second screen in clone mode and then
	try to run xbmc in fullscreen?  (Switching to windowed
	mode with \ brings the display back on this box btw.)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-04 21:00:08 UTC
Maintainer of multimedia/xbmc,

Please note that PR ports/185475 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185475

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-01-04 21:00:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mickael.maillot 2014-01-04 22:49:46 UTC
Patch looks good.

i added it to my PR: ports/185466
in the 13.0 update.


2014/1/4 Edwin Groothuis <edwin@freebsd.org>

> Maintainer of multimedia/xbmc,
>
> Please note that PR ports/185475 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185475
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Antoine Brodin freebsd_committer 2014-01-10 21:34:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take, as the patch is now included in PR 185466
Comment 5 dfilter service freebsd_committer 2014-01-12 16:54:14 UTC
Author: antoine
Date: Sun Jan 12 16:54:01 2014
New Revision: 339522
URL: http://svnweb.freebsd.org/changeset/ports/339522

Log:
  - Update to 13.0 Alpha 11
  - Remove external FFMPEG support, xbmc needs a patched one
  - New option XRANDR (requested by nox)
  
  PR:		ports/184021
  PR:		ports/185466
  PR:		ports/185475
  Submitted by:	Mickael Maillot (maintainer)

Added:
  head/multimedia/xbmc/files/patch-lib__ffmpeg__libavutil__x86__asm.h   (contents, props changed)
  head/multimedia/xbmc/files/patch-xbmc__cores__DllLoader__dll_tracker.cpp   (contents, props changed)
  head/multimedia/xbmc/files/patch-xbmc__cores__DllLoader__dll_tracker_file.cpp   (contents, props changed)
  head/multimedia/xbmc/files/patch-xbmc__visualizations__XBMCProjectM__libprojectM__Common.hpp   (contents, props changed)
Deleted:
  head/multimedia/xbmc/files/patch-headless
  head/multimedia/xbmc/files/patch-xbmc__cdrip__EncoderFFmpeg.cpp
  head/multimedia/xbmc/files/patch-xbmc__cores__AudioEngine__Engines__SoftAE__SoftAE.cpp
  head/multimedia/xbmc/files/patch-xbmc__cores__dvdplayer__DVDCodecs__Video__VAAPI.cpp
  head/multimedia/xbmc/files/patch-xbmc__linux__PlatformDefs.h
  head/multimedia/xbmc/files/patch-xbmc__visualizations__XBMCProjectM__libprojectM__PresetLoader.cpp
  head/multimedia/xbmc/files/patch-xbmc__visualizations__XBMCProjectM__libprojectM__PresetLoader.hpp
Modified:
  head/multimedia/xbmc/Makefile
  head/multimedia/xbmc/distinfo
  head/multimedia/xbmc/files/patch-clang
  head/multimedia/xbmc/files/patch-configure.in
  head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp
  head/multimedia/xbmc/pkg-plist

Modified: head/multimedia/xbmc/Makefile
==============================================================================
--- head/multimedia/xbmc/Makefile	Sun Jan 12 16:40:58 2014	(r339521)
+++ head/multimedia/xbmc/Makefile	Sun Jan 12 16:54:01 2014	(r339522)
@@ -1,16 +1,19 @@
 # $FreeBSD$
 
 PORTNAME=	xbmc
-DISTVERSION=	12.2
-PORTREVISION=	5
+DISTVERSION=	13.0.alpha11
 CATEGORIES=	multimedia
-MASTER_SITES=	http://mirrors.xbmc.org/releases/source/
 
 MAINTAINER=	mickael.maillot@gmail.com
 COMMENT=	Award winning media center application
 
 LICENSE=	GPLv2
 
+USE_GITHUB=	yes
+GH_ACCOUNT=	xbmc
+GH_COMMIT=	8eb49b3
+GH_TAGNAME=	Gotham_alpha11
+
 BUILD_DEPENDS=	enca:${PORTSDIR}/converters/enca \
 		gawk:${PORTSDIR}/lang/gawk \
 		gperf:${PORTSDIR}/devel/gperf \
@@ -45,6 +48,7 @@ LIB_DEPENDS=	libass.so:${PORTSDIR}/multi
 		libtag.so:${PORTSDIR}/audio/taglib \
 		libtinyxml.so:${PORTSDIR}/textproc/tinyxml \
 		libvorbis.so:${PORTSDIR}/audio/libvorbis \
+		libxslt.so:${PORTSDIR}/textproc/libxslt	\
 		libyajl.so:${PORTSDIR}/devel/yajl
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sqlite3>0:${PORTSDIR}/databases/py-sqlite3 \
 		glxinfo:${PORTSDIR}/graphics/mesa-demos \
@@ -55,7 +59,7 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sqli
 USES=		gmake iconv pkgconfig
 USE_AUTOTOOLS=	autoconf libtool automake libltdl
 GNU_CONFIGURE=	yes
-USE_XORG=	xt xmu xrandr xtst
+USE_XORG=	xt xmu xtst
 USE_GL=		glu
 USE_SDL=	image sdl
 USE_PYTHON=	-2.7
@@ -64,7 +68,6 @@ JAVA_BUILD=	jre
 NOPRECIOUSMAKEVARS=	yes
 INSTALLS_ICONS=	yes
 ONLY_FOR_ARCHS=	i386 amd64
-CONFLICTS_INSTALL=	xbmc-pva-ppa-odk-[0-9]*
 
 DESKTOP_ENTRIES="XBMC" \
 		"${COMMENT}" \
@@ -73,123 +76,88 @@ DESKTOP_ENTRIES="XBMC" \
 		"AudioVideo;Video;" \
 		true
 
-OPTIONS_DEFINE=	AIRPLAY AIRTUNES AVAHI CEC EXTERNAL_FFMPEG LAME \
+OPTIONS_DEFINE=	AIRPLAY AIRTUNES AVAHI CEC LAME \
 		LIBBLURAY HAL LIRC MYSQL NONFREE PULSEAUDIO RTMP SFTP \
-		SMB VAAPI VDPAU VORBIS WEBSERVER
+		SMB VAAPI VDPAU VORBIS WEBSERVER XRANDR
 AIRPLAY_DESC=	AirPlay support via libplist
 AIRTUNES_DESC=	AirTunes support via libshairport
 CEC_DESC=	CEC adapter support
-EXTERNAL_FFMPEG_DESC=	Use external ffmpeg
 NONFREE_DESC=	Enable non-free components (rar, ccx, ffmpeg)
 SFTP_DESC=	SSH SFTP support via libssh
 VORBIS_DESC=	Ogg Vorbis audio encoder
 
-OPTIONS_DEFAULT=	AIRPLAY AVAHI CEC LIBBLURAY HAL MYSQL \
-			RTMP SFTP SMB VORBIS WEBSERVER
+OPTIONS_DEFAULT=	AIRPLAY AVAHI CEC LIBBLURAY HAL LIRC MYSQL \
+			RTMP SFTP SMB VAAPI VDPAU VORBIS WEBSERVER XRANDR
 
-.include <bsd.port.pre.mk>
+AIRPLAY_LIB_DEPENDS=	libplist.so:${PORTSDIR}/devel/libplist
+AIRPLAY_CONFIGURE_ENABLE=	airplay
 
-.if ${OSVERSION} < 900000
-OPTIONS_DEFAULT+=	EXTERNAL_FFMPEG
-.endif
+AIRTUNES_LIB_DEPENDS=	libshairport.so:${PORTSDIR}/audio/libshairport
+AIRTUNES_CONFIGURE_ENABLE=	airtunes
 
-CONFIGURE_ARGS+=	--disable-nfs
+AVAHI_LIB_DEPENDS=	libavahi-client.so:${PORTSDIR}/net/avahi-app
+AVAHI_CONFIGURE_ENABLE=	avahi
 
-.include <bsd.port.options.mk>
+CEC_LIB_DEPENDS=	libcec.so:${PORTSDIR}/multimedia/libcec
+CEC_CONFIGURE_ENABLE=	libcec
 
-.if ${ARCH} == i386
-PLIST_SUB+=	ARCH="x86"
-.else
-PLIST_SUB+=	ARCH="x86_64"
-.endif
+LIBBLURAY_LIB_DEPENDS=	libbluray.so:${PORTSDIR}/multimedia/libbluray
+LIBBLURAY_CONFIGURE_ENABLE=	libbluray
 
-.if ${OSVERSION} <= 800096
-LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
-RUN_DEPENDS+=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
-USE_SDL+=	mixer
-CONFIGURE_ARGS+=	--disable-oss
-.else
-CONFIGURE_ARGS+=	--disable-alsa
-.endif
+HAL_LIB_DEPENDS=	libhal.so:${PORTSDIR}/sysutils/hal
+HAL_CONFIGURE_ENABLE=	hal
 
-.if ${PORT_OPTIONS:MDEBUG}
-CONFIGURE_ARGS+=	--enable-debug
-.else
-CONFIGURE_ARGS+=	--disable-debug
-.endif
+LAME_LIB_DEPENDS=	libmp3lame.so:${PORTSDIR}/audio/lame
+LAME_CONFIGURE_ENABLE=	libmp3lame
 
-.if ${PORT_OPTIONS:MAIRPLAY}
-CONFIGURE_ARGS+=	--enable-airplay
-LIB_DEPENDS+=	plist:${PORTSDIR}/devel/libplist
-.else
-CONFIGURE_ARGS+=	--disable-airplay
-.endif
+MYSQL_USE=	MYSQL=yes
+MYSQL_CONFIGURE_ENABLE=	mysql
 
-.if ${PORT_OPTIONS:MAIRTUNES}
-CONFIGURE_ARGS+=	--enable-airtunes
-LIB_DEPENDS+=	shairport:${PORTSDIR}/audio/libshairport
-.else
-CONFIGURE_ARGS+=	--disable-airtunes
-.endif
+PULSEAUDIO_LIB_DEPENDS=	libpulse.so:${PORTSDIR}/audio/pulseaudio
+PULSEAUDIO_CONFIGURE_ENABLE=	pulse
 
-.if ${PORT_OPTIONS:MAVAHI}
-CONFIGURE_ARGS+=	--enable-avahi
-LIB_DEPENDS+=	avahi-common:${PORTSDIR}/net/avahi-app
-.else
-CONFIGURE_ARGS+=	--disable-avahi
-.endif
+RTMP_LIB_DEPENDS=	librtmp.so:${PORTSDIR}/multimedia/librtmp
+RTMP_CONFIGURE_ENABLE=	rtmp
 
-.if ${PORT_OPTIONS:MCEC}
-CONFIGURE_ARGS+=	--enable-libcec
-LIB_DEPENDS+=	cec:${PORTSDIR}/multimedia/libcec
-.else
-CONFIGURE_ARGS+=	--disable-libcec
-.endif
+SMB_LIB_DEPENDS=	libsmbclient.so:${PORTSDIR}/net/samba-libsmbclient
+SMB_CONFIGURE_ENABLE=	samba
 
-.if ${PORT_OPTIONS:MEXTERNAL_FFMPEG}
-CONFIGURE_ARGS+=	--enable-external-ffmpeg
-FFMPEG_SUFFIX=	0
-CONFIGURE_ENV+=	FFMPEG_SUFFIX="${FFMPEG_SUFFIX}"
-PLIST_SUB+=	EXTERNAL_FFMPEG="@comment "
-BUILD_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>0.11:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
-RUN_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>0.11:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
-.else
-CONFIGURE_ARGS+=	--disable-external-ffmpeg
-PLIST_SUB+=	EXTERNAL_FFMPEG=""
-.endif
+VAAPI_LIB_DEPENDS=	libva.so:${PORTSDIR}/multimedia/libva
+VAAPI_CONFIGURE_ENABLE=	vaapi
 
-.if ${PORT_OPTIONS:MLIBBLURAY}
-CONFIGURE_ARGS+=	--enable-libbluray
-LIB_DEPENDS+=	bluray:${PORTSDIR}/multimedia/libbluray
-.else
-CONFIGURE_ARGS+=	--disable-libbluray
-.endif
+VDPAU_BUILD_DEPENDS=	${LOCALBASE}/include/vdpau/vdpau.h:${PORTSDIR}/multimedia/libvdpau
+VDPAU_CONFIGURE_ENABLE=	vdpau
+
+VORBIS_LIB_DEPENDS=	libvorbisenc.so:${PORTSDIR}/audio/libvorbis
+VORBIS_CONFIGURE_ENABLE=	libvorbisenc
+
+WEBSERVER_LIB_DEPENDS=	libmicrohttpd.so:${PORTSDIR}/www/libmicrohttpd
+WEBSERVER_CONFIGURE_ENABLE=	webserver
+
+SFTP_BUILD_DEPENDS=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
+SFTP_RUN_DEPENDS=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
+SFTP_CONFIGURE_ENABLE=	ssh
+
+CONFIGURE_ARGS+=	--disable-debug --disable-nfs --disable-alsa
+
+.include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MHAL}
-CONFIGURE_ARGS+=	--enable-hal
-LIB_DEPENDS+=	hal:${PORTSDIR}/sysutils/hal
+.if ${ARCH} == i386
+PLIST_SUB+=	ARCH="x86"
 .else
-CONFIGURE_ARGS+=	--disable-hal
+PLIST_SUB+=	ARCH="x86_64"
 .endif
 
-.if ${PORT_OPTIONS:MLAME}
-CONFIGURE_ARGS+=	--enable-libmp3lame
-LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame
-.else
-CONFIGURE_ARGS+=	--disable-libmp3lame
+.if ${OSVERSION} < 900033
+BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
+CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
+MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
 .endif
 
 .if ${PORT_OPTIONS:MLIRC}
 RUN_DEPENDS+=	lircd:${PORTSDIR}/comms/lirc
 .endif
 
-.if ${PORT_OPTIONS:MMYSQL}
-CONFIGURE_ARGS+=	--enable-mysql
-USE_MYSQL=	yes
-.else
-CONFIGURE_ARGS+=	--disable-mysql
-.endif
-
 .if ${PORT_OPTIONS:MNONFREE}
 CONFIGURE_ARGS+=	--enable-non-free
 NO_CDROM=	Restricted binary distribution
@@ -198,61 +166,13 @@ NO_PACKAGE=	${NO_CDROM}
 CONFIGURE_ARGS+=	--disable-non-free
 .endif
 
-.if ${PORT_OPTIONS:MPULSEAUDIO}
-CONFIGURE_ARGS+=	--enable-pulse
-LIB_DEPENDS+=	pulse:${PORTSDIR}/audio/pulseaudio
-.else
-CONFIGURE_ARGS+=	--disable-pulse
-.endif
-
-.if ${PORT_OPTIONS:MRTMP}
-CONFIGURE_ARGS+=	--enable-rtmp
-LIB_DEPENDS+=	rtmp:${PORTSDIR}/multimedia/rtmpdump
-.else
-CONFIGURE_ARGS+=	--disable-rtmp
-.endif
-
-.if ${PORT_OPTIONS:MSFTP}
-CONFIGURE_ARGS+=	--enable-ssh
-BUILD_DEPENDS+=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
-RUN_DEPENDS+=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
-.else
-CONFIGURE_ARGS+=	--disable-ssh
-.endif
-
-.if ${PORT_OPTIONS:MSMB}
-CONFIGURE_ARGS+=	--enable-samba
-LIB_DEPENDS+=	smbclient:${PORTSDIR}/net/samba-libsmbclient
-.else
-CONFIGURE_ARGS+=	--disable-samba
-.endif
-
-.if ${PORT_OPTIONS:MVAAPI}
-LIB_DEPENDS+=	va:${PORTSDIR}/multimedia/libva
-CONFIGURE_ARGS+=	--enable-vaapi
+.if ${PORT_OPTIONS:MXRANDR}
+CONFIGURE_ARGS+=	--enable-xrandr
+USE_XORG+=	xrandr
+PLIST_SUB+=	XRANDR=""
 .else
-CONFIGURE_ARGS+=	--disable-vaapi
-.endif
-
-.if ${PORT_OPTIONS:MVDPAU}
-LIB_DEPENDS+=	vdpau:${PORTSDIR}/multimedia/libvdpau
-CONFIGURE_ARGS+=	--enable-vdpau
-.else
-CONFIGURE_ARGS+=	--disable-vdpau
-.endif
-
-.if ${PORT_OPTIONS:MVORBIS}
-CONFIGURE_ARGS+=	--enable-libvorbisenc
-LIB_DEPENDS+=	ogg:${PORTSDIR}/audio/libogg
-.else
-CONFIGURE_ARGS+=	--disable-libvorbisenc
-.endif
-
-.if ${PORT_OPTIONS:MWEBSERVER}
-CONFIGURE_ARGS+=	--enable-webserver
-LIB_DEPENDS+=	microhttpd:${PORTSDIR}/www/libmicrohttpd
-.else
-CONFIGURE_ARGS+=	--disable-webserver
+CONFIGURE_ARGS+=	--disable-xrandr
+PLIST_SUB+=	XRANDR="@comment "
 .endif
 
 post-patch:
@@ -261,18 +181,27 @@ post-patch:
 		${WRKSRC}/lib/libsidplay2/libsidplay/src/mos6510/mos6510.h \
 		${WRKSRC}/lib/libsidplay2/libsidplay/src/mos6526/mos6526.h \
 		${WRKSRC}/lib/libsidplay2/libsidplay/src/mos656x/mos656x.h
-	${REINPLACE_CMD} 's;make;gmake;' ${WRKSRC}/bootstrap
+	${REINPLACE_CMD} 's;make;gmake;' \
+		${WRKSRC}/bootstrap \
+		${WRKSRC}/tools/TexturePacker/Makefile.in
 	${REINPLACE_CMD} 's;which swig;&2.0;' ${WRKSRC}/codegenerator.mk
-.if empty(ICONV_LIB)
-	${REINPLACE_CMD}  -e 's;^checking for main in -liconv\.\.\.;checking for iconv...;' \
-			-e 's;-liconv;${ICONV_LIB};' ${WRKSRC}/configure
-.endif
+	${REINPLACE_CMD} '/^autopoint/d' ${WRKSRC}/lib/cpluff/autogen.sh
+	${REINPLACE_CMD} 's;static weak_ptr;static boost::weak_ptr;' \
+		${WRKSRC}/xbmc/cores/dvdplayer/DVDCodecs/Video/VAAPI.cpp
 
 run-autotools:
-	@cd ${WRKSRC} && ${SH} ./bootstrap
+	cd ${WRKSRC}/lib/cpluff && ${SH} ./autogen.sh
+	${REINPLACE_CMD} '/lib\/cpluff/d' ${WRKSRC}/bootstrap.mk
+	cd ${WRKSRC} && ${SH} ./bootstrap
 
 post-install:
-	@${INSTALL_MAN} ${WRKSRC}/docs/manpages/xbmc.bin.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
-	@(cd ${STAGEDIR}${MAN1PREFIX}/man/man1 && ${LN} -sf xbmc.bin.1.gz xbmc.1.gz)
+	${INSTALL_MAN} ${WRKSRC}/docs/manpages/xbmc.bin.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+	(cd ${STAGEDIR}${MAN1PREFIX}/man/man1 && ${LN} -sf xbmc.bin.1.gz xbmc.1.gz)
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/xbmc/xbmc.bin
+	${FIND} ${STAGEDIR}${PREFIX}/lib/xbmc -name '*.so' -or -name '*.xbs' -or -name '*.vis' \
+		| ${XARGS} ${STRIP_CMD}
+.if ${PORT_OPTIONS:MXRANDR}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/xbmc/xbmc-xrandr
+.endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/xbmc/distinfo
==============================================================================
--- head/multimedia/xbmc/distinfo	Sun Jan 12 16:40:58 2014	(r339521)
+++ head/multimedia/xbmc/distinfo	Sun Jan 12 16:54:01 2014	(r339522)
@@ -1,2 +1,2 @@
-SHA256 (xbmc-12.2.tar.gz) = b2330634fc513d27a44b131bbbe4ca6b61d60a1fe6c7ca27a7dc749df0bcea1c
-SIZE (xbmc-12.2.tar.gz) = 67663000
+SHA256 (xbmc-13.0.alpha11.tar.gz) = 257bb66de73d561f6568cd4ccb5d4f046b1a9a78b39d8e279d52c11559a8c5b0
+SIZE (xbmc-13.0.alpha11.tar.gz) = 64120259

Modified: head/multimedia/xbmc/files/patch-clang
==============================================================================
--- head/multimedia/xbmc/files/patch-clang	Sun Jan 12 16:40:58 2014	(r339521)
+++ head/multimedia/xbmc/files/patch-clang	Sun Jan 12 16:54:01 2014	(r339522)
@@ -1,131 +1,30 @@
-diff --git xbmc/screensavers/rsxs-0.9/lib/argp-fmtstream.h xbmc/screensavers/rsxs-0.9/lib/argp-fmtstream.h
-index e045a72..ff4f575 100644
---- xbmc/screensavers/rsxs-0.9/lib/argp-fmtstream.h
-+++ xbmc/screensavers/rsxs-0.9/lib/argp-fmtstream.h
-@@ -198,8 +198,12 @@ extern int __argp_fmtstream_ensure (argp_fmtstream_t __fs, size_t __amount);
- #endif
- 
- #ifndef ARGP_FS_EI
-+#ifdef __clang__
-+#define ARGP_FS_EI extern inline __attribute__ ((__gnu_inline__))
-+#else
- #define ARGP_FS_EI extern inline
- #endif
-+#endif
- 
- ARGP_FS_EI size_t
- __argp_fmtstream_write (argp_fmtstream_t __fs,
-
-diff --git lib/cpluff/libcpluff/cpluff.c lib/cpluff/libcpluff/cpluff.c
-index a7e8725..0f5bb90 100644
---- lib/cpluff/libcpluff/cpluff.c
-+++ lib/cpluff/libcpluff/cpluff.c
-@@ -77,6 +77,7 @@ CP_C_API const char *cp_get_host_type(void) {
- 	return CP_HOST;
- }
- 
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- CP_HIDDEN void cpi_lock_framework(void) {
- #if defined(CP_THREADS)
- 	cpi_lock_mutex(framework_mutex);
-@@ -93,6 +94,7 @@ CP_HIDDEN void cpi_unlock_framework(void) {
- 	framework_locked--;
- #endif
- }
-+#endif
- 
- static void reset(void) {
- #ifdef CP_THREADS
-diff --git lib/cpluff/libcpluff/logging.c lib/cpluff/libcpluff/logging.c
-index 928f0b4..f0f873d 100644
---- lib/cpluff/libcpluff/logging.c
-+++ lib/cpluff/libcpluff/logging.c
-@@ -129,10 +129,12 @@ CP_C_API cp_status_t cp_register_logger(cp_context_t *context, cp_logger_func_t
- 	// Report error
- 	if (status == CP_ERR_RESOURCE) {
- 		cpi_error(context, N_("Logger could not be registered due to insufficient memory."));		
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- 	} else if (cpi_is_logged(context, CP_LOG_DEBUG)) {
- 		char owner[64];
- 		/* TRANSLATORS: %s is the context owner */
- 		cpi_debugf(context, N_("%s registered a logger."), cpi_context_owner(context, owner, sizeof(owner)));
-+#endif
- 	}
- 	cpi_unlock_context(context);
- 
-@@ -166,11 +168,13 @@ CP_C_API void cp_unregister_logger(cp_context_t *context, cp_logger_func_t logge
- 		free(lh);
- 		update_logging_limits(context);
- 	}
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- 	if (cpi_is_logged(context, CP_LOG_DEBUG)) {
- 		char owner[64];
- 		/* TRANSLATORS: %s is the context owner */
- 		cpi_debugf(context, N_("%s unregistered a logger."), cpi_context_owner(context, owner, sizeof(owner)));
- 	}
-+#endif
- 	cpi_unlock_context(context);
- }
- 
-diff --git lib/cpluff/libcpluff/pinfo.c lib/cpluff/libcpluff/pinfo.c
-index cfbf049..f7b4a4b 100644
---- lib/cpluff/libcpluff/pinfo.c
-+++ lib/cpluff/libcpluff/pinfo.c
-@@ -569,10 +569,12 @@ CP_C_API cp_status_t cp_register_plistener(cp_context_t *context, cp_plugin_list
- 	// Report error or success
- 	if (status != CP_OK) {
- 		cpi_error(context, _("A plug-in listener could not be registered due to insufficient memory."));
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- 	} else if (cpi_is_logged(context, CP_LOG_DEBUG)) {
- 		char owner[64];
- 		/* TRANSLATORS: %s is the context owner */
- 		cpi_debugf(context, N_("%s registered a plug-in listener."), cpi_context_owner(context, owner, sizeof(owner)));
-+#endif
- 	}
- 	cpi_unlock_context(context);
- 	
-@@ -591,10 +593,12 @@ CP_C_API void cp_unregister_plistener(cp_context_t *context, cp_plugin_listener_
- 	if (node != NULL) {
- 		process_unregister_plistener(context->env->plugin_listeners, node, NULL);
- 	}
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- 	if (cpi_is_logged(context, CP_LOG_DEBUG)) {
- 		char owner[64];
- 		/* TRANSLATORS: %s is the context owner */
- 		cpi_debugf(context, N_("%s unregistered a plug-in listener."), cpi_context_owner(context, owner, sizeof(owner)));
- 	}
-+#endif
- 	cpi_unlock_context(context);
- }
-diff --git lib/cpluff/libcpluff/psymbol.c lib/cpluff/libcpluff/psymbol.c
-index 632b087..fdc15af 100644
---- lib/cpluff/libcpluff/psymbol.c
-+++ lib/cpluff/libcpluff/psymbol.c
-@@ -248,11 +248,13 @@ CP_C_API void * cp_resolve_symbol(cp_context_t *context, const char *id, const c
- 		symbol_info->usage_count++;
- 		provider_info->usage_count++;
- 
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- 		if (cpi_is_logged(context, CP_LOG_DEBUG)) {
- 			char owner[64];
- 			/* TRANSLATORS: First %s is the context owner */
- 			cpi_debugf(context, "%s resolved symbol %s defined by plug-in %s.", cpi_context_owner(context, owner, sizeof(owner)), name, id);
- 		}
-+#endif
- 	} while (0);
- 
- 	// Clean up
-@@ -314,11 +316,13 @@ CP_C_API void cp_release_symbol(cp_context_t *context, const void *ptr) {
- 		if (symbol_info->usage_count == 0) {
- 			hash_delete_free(context->resolved_symbols, node);
- 			free(symbol_info);
-+#if defined(CP_THREADS) || !defined(NDEBUG)
- 			if (cpi_is_logged(context, CP_LOG_DEBUG)) {
- 				char owner[64];
- 				/* TRANSLATORS: First %s is the context owner */
- 				cpi_debugf(context, _("%s released the symbol at address %p defined by plug-in %s."), cpi_context_owner(context, owner, sizeof(owner)), ptr, provider_info->plugin->plugin->identifier);
- 			}
-+#endif
- 		}
+--- ./lib/cpluff/configure.ac.orig	2014-01-01 02:26:03.000000000 +0000
++++ ./lib/cpluff/configure.ac	2014-01-10 23:59:59.000000000 +0000
+@@ -109,12 +109,12 @@
+     AC_LINK_IFELSE(
+ [AC_LANG_SOURCE([#include <pthread.h>
+ 
+-int main(int argc, char **argv) {
++[int main(int argc, char **argv) {
+ 	pthread_mutex_t mutex;
  	
- 		// Check if the symbol providing plug-in is not being used anymore
+ 	pthread_mutex_init(&mutex, NULL);
+ 	return 0;
+-}
++}]
+ ])], [AC_MSG_RESULT([yes])
+ cp_threads=Posix], AC_MSG_RESULT([no]))
+   fi
+@@ -126,10 +126,10 @@
+     AC_LINK_IFELSE(
+ [AC_LANG_SOURCE([#include <windows.h>
+ 
+-int main(int argc, char **argv) {
++[int main(int argc, char **argv) {
+   CreateMutex(NULL, FALSE, NULL);
+   return 0;
+-}
++}]
+ ])], [AC_MSG_RESULT([yes])
+ cp_threads=Windows], AC_MSG_RESULT([no]))
+   fi

Modified: head/multimedia/xbmc/files/patch-configure.in
==============================================================================
--- head/multimedia/xbmc/files/patch-configure.in	Sun Jan 12 16:40:58 2014	(r339521)
+++ head/multimedia/xbmc/files/patch-configure.in	Sun Jan 12 16:54:01 2014	(r339522)
@@ -1,6 +1,6 @@
---- configure.in.orig	2012-10-01 01:08:50.000000000 +0200
-+++ configure.in	2012-10-03 12:17:13.000000000 +0200
-@@ -726,9 +726,9 @@
+--- configure.in.orig	2014-01-01 03:26:03.000000000 +0100
++++ configure.in	2014-01-05 00:33:52.000000000 +0100
+@@ -820,11 +820,16 @@
  # platform specific flags
  if echo "$ARCH" | grep -q "freebsd" ; then
    LOCALBASE="${LOCALBASE:-/usr/local}"
@@ -11,9 +11,17 @@
 +  CXXFLAGS="$CXXFLAGS -idirafter$LOCALBASE/include"
 +  CPPFLAGS="$CPPFLAGS -idirafter$LOCALBASE/include"
    LDFLAGS="$LDFLAGS -L$LOCALBASE/lib"
-   FFMPEG_EXTRACFLAGS="-I$LOCALBASE/include"
+-  FFMPEG_EXTRACFLAGS="-I$LOCALBASE/include"
++  FFMPEG_EXTRACFLAGS="-idirafter$LOCALBASE/include"
++  CC_FOR_BUILD="$CC"
++  CXX_FOR_BUILD="$CXX"
++  CFLAGS_FOR_BUILD="$CFLAGS"
++  CXXFLAGS_FOR_BUILD="$CXXFLAGS"
++  LDFLAGS_FOR_BUILD="$LDFLAGS"
  fi
-@@ -816,6 +816,7 @@
+ if test "$host_vendor" = "apple" ; then
+   # standard xbmc paths
+@@ -948,6 +953,7 @@
  
  # Check inotify availability
  AC_CHECK_HEADER([sys/inotify.h], AC_DEFINE([HAVE_INOTIFY],[1],[Define if we have inotify]),)
@@ -21,42 +29,22 @@
  
  # Checks for boost headers using CXX instead of CC
  AC_LANG_PUSH([C++])
-@@ -1491,15 +1492,15 @@
- 
- # External FFmpeg
- if test "$use_external_ffmpeg" = "yes"; then
--  FFMPEG_LIBNAMES="libavcodec libavfilter libavformat libavutil libpostproc libswscale"
-+  FFMPEG_LIBNAMES="libavcodec$FFMPEG_SUFFIX libavfilter$FFMPEG_SUFFIX libavformat$FFMPEG_SUFFIX libavutil$FFMPEG_SUFFIX libpostproc$FFMPEG_SUFFIX libswscale$FFMPEG_SUFFIX"
- 
-   # libavcore is optional
--  PKG_CHECK_EXISTS([libavcore], FFMPEG_LIBNAMES="$FFMPEG_LIBNAMES libavcore")
-+  PKG_CHECK_EXISTS([libavcore$FFMPEG_SUFFIX], FFMPEG_LIBNAMES="$FFMPEG_LIBNAMES libavcore$FFMPEG_SUFFIX")
- 
-   # one of libswresample or libavresample is needed
--  PKG_CHECK_EXISTS([libswresample], FFMPEG_LIBNAMES="$FFMPEG_LIBNAMES libswresample",
--                   [PKG_CHECK_EXISTS([libavresample],
--                                     FFMPEG_LIBNAMES="$FFMPEG_LIBNAMES libavresample",
-+  PKG_CHECK_EXISTS([libswresample$FFMPEG_SUFFIX], FFMPEG_LIBNAMES="$FFMPEG_LIBNAMES libswresample$FFMPEG_SUFFIX",
-+                   [PKG_CHECK_EXISTS([libavresample$FFMPEG_SUFFIX],
-+                                     FFMPEG_LIBNAMES="$FFMPEG_LIBNAMES libavresample$FFMPEG_SUFFIX",
-                                      AC_MSG_ERROR([You need either libswresample
-                                                    or libavresample.]))])
- 
-@@ -1509,7 +1510,7 @@
- 
-   # Determine whether AVPacket and relevant functions are defined in libavformat
-   # or libavcodec
--  AC_CHECK_LIB([avcodec], [av_free_packet],
-+  AC_CHECK_LIB(["avcodec$FFMPEG_SUFFIX"], [av_free_packet],
-   [AC_MSG_NOTICE(== AVPacket and relevant functions defined in libavcodec. ==)],
-   [AC_MSG_NOTICE(== AVPacket and relevant functions defined in libavformat. ==)
-    AC_DEFINE([AVPACKET_IN_AVFORMAT], [1], [Whether AVPacket is in libavformat.])])
-@@ -1558,7 +1559,7 @@
-   AC_DEFINE([USE_EXTERNAL_FFMPEG], [1], [Whether to use external FFmpeg libraries.])
- 
-   # Disable vdpau support if external libavcodec doesn't have it
--  AC_CHECK_LIB([avcodec], [ff_vdpau_vc1_decode_picture],,
-+  AC_CHECK_LIB(["avcodec$FFMPEG_SUFFIX"], [ff_vdpau_vc1_decode_picture],,
-     [if test "x$use_vdpau" = "xyes"; then
-       AC_MSG_ERROR($ffmpeg_vdpau_not_supported)
-     else
+@@ -1614,7 +1620,8 @@
+ if test "x$use_airtunes" != "xno"; then
+   AC_CHECK_HEADERS([shairplay/raop.h],,
+    [if test "x$use_airtunes" = "xyes"; then
+-      AC_MSG_ERROR($libshairplay_not_found)
++      AC_MSG_NOTICE($libshairplay_not_found)
++      use_airtunes="no"
+     elif test "x$use_airtunes" != "xno"; then
+       AC_MSG_NOTICE($libshairplay_not_found)
+       use_airtunes="no"
+@@ -1632,7 +1639,7 @@
+ 
+   #libshairport - as a fallback for AirTunes
+   if test "x$USE_AIRTUNES" == "x0"; then
+-    AC_CHECK_HEADERS([shairport/shairport.h],,
++    AC_CHECK_HEADERS([shairport/shairport.h],[use_airtunes="yes"],
+      [if test "x$use_airtunes" = "xyes"; then
+         AC_MSG_ERROR($libshairport_not_found)
+       elif test "x$use_airtunes" != "xno"; then

Added: head/multimedia/xbmc/files/patch-lib__ffmpeg__libavutil__x86__asm.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/xbmc/files/patch-lib__ffmpeg__libavutil__x86__asm.h	Sun Jan 12 16:54:01 2014	(r339522)
@@ -0,0 +1,11 @@
+--- ./lib/ffmpeg/libavutil/x86/asm.h.orig	2014-01-01 02:26:03.000000000 +0000
++++ ./lib/ffmpeg/libavutil/x86/asm.h	2014-01-12 10:28:23.000000000 +0000
+@@ -68,7 +68,7 @@
+ typedef int x86_reg;
+ #endif
+ 
+-#define HAVE_7REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE && HAVE_EBP_AVAILABLE))
++#define HAVE_7REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE && HAVE_EBP_AVAILABLE && !defined(__clang__)))
+ #define HAVE_6REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE || HAVE_EBP_AVAILABLE))
+ 
+ #if ARCH_X86_64 && defined(PIC)

Added: head/multimedia/xbmc/files/patch-xbmc__cores__DllLoader__dll_tracker.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/xbmc/files/patch-xbmc__cores__DllLoader__dll_tracker.cpp	Sun Jan 12 16:54:01 2014	(r339522)
@@ -0,0 +1,10 @@
+--- xbmc/cores/DllLoader/dll_tracker.cpp.orig	2013-12-27 17:07:11.000000000 +0100
++++ xbmc/cores/DllLoader/dll_tracker.cpp	2013-12-27 17:05:29.000000000 +0100
+@@ -24,6 +24,7 @@
+ #include "DllLoader.h"
+ #include "threads/SingleLock.h"
+ #include "utils/log.h"
++#include <stdlib.h>
+ 
+ #ifdef _cplusplus
+ extern "C"

Added: head/multimedia/xbmc/files/patch-xbmc__cores__DllLoader__dll_tracker_file.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/xbmc/files/patch-xbmc__cores__DllLoader__dll_tracker_file.cpp	Sun Jan 12 16:54:01 2014	(r339522)
@@ -0,0 +1,10 @@
+--- xbmc/cores/DllLoader/dll_tracker_file.cpp.orig	2013-12-27 17:07:01.000000000 +0100
++++ xbmc/cores/DllLoader/dll_tracker_file.cpp	2013-12-27 17:07:36.000000000 +0100
+@@ -23,6 +23,7 @@
+ #include "DllLoader.h"
+ #include "threads/SingleLock.h"
+ #include "utils/log.h"
++#include <stdlib.h>
+ 
+ #ifdef TARGET_POSIX
+ #define dll_open open

Modified: head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp
==============================================================================
--- head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp	Sun Jan 12 16:40:58 2014	(r339521)
+++ head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp	Sun Jan 12 16:54:01 2014	(r339522)
@@ -1,8 +1,8 @@
---- xbmc/threads/platform/pthreads/ThreadImpl.cpp.orig	2013-05-13 11:32:04.000000000 +0200
-+++ xbmc/threads/platform/pthreads/ThreadImpl.cpp	2013-05-13 11:47:27.000000000 +0200
+--- xbmc/threads/platform/pthreads/ThreadImpl.cpp.orig	2013-12-03 16:25:00.000000000 +0100
++++ xbmc/threads/platform/pthreads/ThreadImpl.cpp	2013-12-03 16:26:01.000000000 +0100
 @@ -29,12 +29,8 @@
  #include <string.h>
- #ifdef __FreeBSD__
+ #ifdef TARGET_FREEBSD
  #include <sys/param.h>
 -#if __FreeBSD_version < 900031
 -#include <sys/thr.h>
@@ -16,7 +16,7 @@
 @@ -59,11 +55,7 @@
  void CThread::SetThreadInfo()
  {
- #ifdef __FreeBSD__
+ #ifdef TARGET_FREEBSD
 -#if __FreeBSD_version < 900031
 -  long lwpid;
 -  thr_self(&lwpid);

Added: head/multimedia/xbmc/files/patch-xbmc__visualizations__XBMCProjectM__libprojectM__Common.hpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/xbmc/files/patch-xbmc__visualizations__XBMCProjectM__libprojectM__Common.hpp	Sun Jan 12 16:54:01 2014	(r339522)
@@ -0,0 +1,15 @@
+--- xbmc/visualizations/XBMCProjectM/libprojectM/Common.hpp.orig	2013-12-27 16:58:27.000000000 +0100
++++ xbmc/visualizations/XBMCProjectM/libprojectM/Common.hpp	2013-12-27 16:58:50.000000000 +0100
+@@ -57,11 +57,7 @@
+ #endif
+ 			 
+ #ifdef LINUX
+-#define projectM_isnan isnan
+-#endif
+-
+-#ifdef LINUX
+-#define projectM_isnan isnan
++#define projectM_isnan std::isnan
+ #endif
+ 
+ #ifdef WIN32

Modified: head/multimedia/xbmc/pkg-plist
==============================================================================
--- head/multimedia/xbmc/pkg-plist	Sun Jan 12 16:40:58 2014	(r339521)
+++ head/multimedia/xbmc/pkg-plist	Sun Jan 12 16:54:01 2014	(r339522)
@@ -1,11 +1,31 @@
-bin/xbmc-standalone
 bin/xbmc
+bin/xbmc-standalone
+include/xbmc/DVDDemuxPacket.h
+include/xbmc/libXBMC_addon.h
+include/xbmc/libXBMC_codec.h
+include/xbmc/libXBMC_gui.h
+include/xbmc/libXBMC_pvr.h
+include/xbmc/xbmc_addon_cpp_dll.h
+include/xbmc/xbmc_addon_dll.h
+include/xbmc/xbmc_addon_types.h
+include/xbmc/xbmc_codec_types.h
+include/xbmc/xbmc_epg_types.h
+include/xbmc/xbmc_pvr_dll.h
+include/xbmc/xbmc_pvr_types.h
+include/xbmc/xbmc_scr_dll.h
+include/xbmc/xbmc_scr_types.h
+include/xbmc/xbmc_stream_utils.hpp
+include/xbmc/xbmc_vis_dll.h
+include/xbmc/xbmc_vis_types.h
+lib/xbmc/AddOptions.cmake
 lib/xbmc/addons/library.xbmc.addon/libXBMC_addon-%%ARCH%%-freebsd.so
+lib/xbmc/addons/library.xbmc.codec/libXBMC_codec-%%ARCH%%-freebsd.so
 lib/xbmc/addons/library.xbmc.gui/libXBMC_gui-%%ARCH%%-freebsd.so
 lib/xbmc/addons/library.xbmc.pvr/libXBMC_pvr-%%ARCH%%-freebsd.so
 lib/xbmc/addons/screensaver.rsxs.euphoria/Euphoria.xbs
 lib/xbmc/addons/screensaver.rsxs.plasma/Plasma.xbs
 lib/xbmc/addons/screensaver.rsxs.solarwinds/Solarwinds.xbs
+lib/xbmc/addons/visualization.fishbmc/fishbmc.vis
 lib/xbmc/addons/visualization.glspectrum/opengl_spectrum.vis
 lib/xbmc/addons/visualization.projectm/projectM.vis
 lib/xbmc/addons/visualization.waveform/Waveform.vis
@@ -14,34 +34,37 @@ lib/xbmc/system/hdhomerun-%%ARCH%%-freeb
 lib/xbmc/system/libcmyth-%%ARCH%%-freebsd.so
 lib/xbmc/system/libcpluff-%%ARCH%%-freebsd.so
 lib/xbmc/system/libexif-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/avcodec-53-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/avfilter-2-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/avformat-53-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/avutil-51-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/avcodec-54-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/avfilter-3-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/avformat-54-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/avutil-52-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/dvdplayer/libdvdcss-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/dvdplayer/libdvdnav-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/postproc-52-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/swresample-0-%%ARCH%%-freebsd.so
-%%EXTERNAL_FFMPEG%%lib/xbmc/system/players/dvdplayer/swscale-2-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/postproc-52-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/swresample-0-%%ARCH%%-freebsd.so
+lib/xbmc/system/players/dvdplayer/swscale-2-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/paplayer/adpcm-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/paplayer/libsidplay2-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/paplayer/nosefart-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/paplayer/stsoundlibrary-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/paplayer/timidity-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/paplayer/vgmstream-%%ARCH%%-freebsd.so
-lib/xbmc/xbmc-xrandr
+lib/xbmc/xbmc-addon-helpers.cmake
+lib/xbmc/xbmc-config.cmake
+%%XRANDR%%lib/xbmc/xbmc-xrandr
 lib/xbmc/xbmc.bin
-man/man1/xbmc.bin.1.gz
 man/man1/xbmc.1.gz
-%%DOCSDIR%%/LICENSE.GPL
-%%DOCSDIR%%/README.linux
-%%DOCSDIR%%/copying.txt
+man/man1/xbmc.bin.1.gz
+%%PORTDOCS%%%%DOCSDIR%%/LICENSE.GPL
+%%PORTDOCS%%%%DOCSDIR%%/README.linux
+%%PORTDOCS%%%%DOCSDIR%%/copying.txt
 share/icons/hicolor/256x256/apps/xbmc.png
 share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/FEH.py
 %%DATADIR%%/addons/library.xbmc.addon/dlfcn-win32.cpp
 %%DATADIR%%/addons/library.xbmc.addon/dlfcn-win32.h
 %%DATADIR%%/addons/library.xbmc.addon/libXBMC_addon.h
+%%DATADIR%%/addons/library.xbmc.codec/libXBMC_codec.h
 %%DATADIR%%/addons/library.xbmc.gui/libXBMC_gui.h
 %%DATADIR%%/addons/library.xbmc.pvr/libXBMC_pvr.h
 %%DATADIR%%/addons/metadata.album.universal/addon.xml
@@ -175,6 +198,9 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.common.themoviedb.org/addon.xml
 %%DATADIR%%/addons/metadata.common.themoviedb.org/icon.png
 %%DATADIR%%/addons/metadata.common.themoviedb.org/tmdb.xml
+%%DATADIR%%/addons/metadata.local/addon.xml
+%%DATADIR%%/addons/metadata.local/icon.png
+%%DATADIR%%/addons/metadata.local/local.xml
 %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/addon.xml
 %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/changelog.txt
 %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/icon.png
@@ -344,16 +370,6 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Welsh/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/settings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/tvdb.xml
-%%DATADIR%%/addons/repository.pvr-android.xbmc.org/addon.xml
-%%DATADIR%%/addons/repository.pvr-android.xbmc.org/icon.png
-%%DATADIR%%/addons/repository.pvr-ios.xbmc.org/addon.xml
-%%DATADIR%%/addons/repository.pvr-ios.xbmc.org/icon.png
-%%DATADIR%%/addons/repository.pvr-osx32.xbmc.org/addon.xml
-%%DATADIR%%/addons/repository.pvr-osx32.xbmc.org/icon.png
-%%DATADIR%%/addons/repository.pvr-osx64.xbmc.org/addon.xml
-%%DATADIR%%/addons/repository.pvr-osx64.xbmc.org/icon.png
-%%DATADIR%%/addons/repository.pvr-win32.xbmc.org/addon.xml
-%%DATADIR%%/addons/repository.pvr-win32.xbmc.org/icon.png
 %%DATADIR%%/addons/repository.xbmc.org/addon.xml
 %%DATADIR%%/addons/repository.xbmc.org/icon.png
 %%DATADIR%%/addons/screensaver.rsxs.euphoria/addon.xml
@@ -371,6 +387,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Amharic/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Arabic/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Asturian/strings.po
+%%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Basque/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Belarusian/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Bulgarian/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Burmese/strings.po
@@ -392,6 +409,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Hebrew/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Hungarian/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Icelandic/strings.po
+%%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Indonesian/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Italian/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Japanese/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Korean/strings.po
@@ -410,6 +428,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Spanish (Mexico)/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Spanish/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Swedish/strings.po
+%%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Tajik/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Tamil (India)/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Thai/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Turkish/strings.po
@@ -418,15 +437,80 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/language/Welsh/strings.po
 %%DATADIR%%/addons/screensaver.xbmc.builtin.dim/resources/settings.xml
 %%DATADIR%%/addons/script.module.pil/addon.xml
-%%DATADIR%%/addons/script.module.pysqlite/addon.xml
-%%DATADIR%%/addons/script.module.pysqlite/lib/pysqlite2/__init__.py
-%%DATADIR%%/addons/script.module.simplejson/addon.xml
-%%DATADIR%%/addons/script.module.simplejson/lib/LICENSE.txt
-%%DATADIR%%/addons/script.module.simplejson/lib/simplejson/__init__.py
-%%DATADIR%%/addons/script.module.simplejson/lib/simplejson/decoder.py
-%%DATADIR%%/addons/script.module.simplejson/lib/simplejson/encoder.py
-%%DATADIR%%/addons/script.module.simplejson/lib/simplejson/scanner.py
-%%DATADIR%%/addons/script.module.simplejson/lib/simplejson/tool.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/LICENSE.txt
+%%DATADIR%%/addons/service.xbmc.versioncheck/README.md
+%%DATADIR%%/addons/service.xbmc.versioncheck/addon.xml
+%%DATADIR%%/addons/service.xbmc.versioncheck/changelog.txt
+%%DATADIR%%/addons/service.xbmc.versioncheck/icon.png
+%%DATADIR%%/addons/service.xbmc.versioncheck/lib/__init__.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/lib/aptdeamonhandler.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/lib/common.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/lib/jsoninterface.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/lib/shellhandlerapt.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/lib/versions.py
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Afrikaans/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Albanian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Amharic/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Arabic/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Basque/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Belarusian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Bosnian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Bulgarian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Catalan/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Chinese (Simple)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Chinese (Traditional)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Croatian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Czech/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Danish/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Dutch/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/English/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Esperanto/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Estonian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Finnish/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/French/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Galician/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/German/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Greek/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Hebrew/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Hindi (Devanagiri)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Hungarian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Icelandic/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Indonesian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Italian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Japanese/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Korean/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Latvian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Lithuanian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Macedonian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Malay/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Malayalam/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Maltese/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Norwegian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Persian (Iran)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Persian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Polish/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Portuguese (Brazil)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Portuguese/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Romanian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Russian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Serbian (Cyrillic)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Serbian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Slovak/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Slovenian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Spanish (Argentina)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Spanish (Mexico)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Spanish/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Swedish/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Tamil (India)/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Thai/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Turkish/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Ukrainian/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/language/Vietnamese/strings.po
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/polkit/10-allow-update.pkla
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/polkit/README
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/settings.xml
+%%DATADIR%%/addons/service.xbmc.versioncheck/resources/versions.txt
+%%DATADIR%%/addons/service.xbmc.versioncheck/service.py
 %%DATADIR%%/addons/skin.confluence/720p/AddonBrowser.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogAddonInfo.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogAddonSettings.xml
@@ -465,6 +549,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/720p/DialogSelect.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogSlider.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogSongInfo.xml
+%%DATADIR%%/addons/skin.confluence/720p/DialogSubtitles.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogTextViewer.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogVideoInfo.xml
 %%DATADIR%%/addons/skin.confluence/720p/DialogVolumeBar.xml
@@ -540,7 +625,6 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/build.bat
 %%DATADIR%%/addons/skin.confluence/changelog.txt
 %%DATADIR%%/addons/skin.confluence/colors/defaults.xml
-%%DATADIR%%/addons/skin.confluence/fonts/DejaVuSans-Bold-Caps.ttf
 %%DATADIR%%/addons/skin.confluence/fonts/NOTICE.txt
 %%DATADIR%%/addons/skin.confluence/fonts/README.txt
 %%DATADIR%%/addons/skin.confluence/fonts/Roboto-Bold.ttf
@@ -550,6 +634,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/language/Albanian/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Amharic/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Arabic/strings.po
+%%DATADIR%%/addons/skin.confluence/language/Azerbaijani/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Basque/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Belarusian/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Bosnian/strings.po
@@ -588,6 +673,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/language/Malayalam/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Maltese/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Norwegian/strings.po
+%%DATADIR%%/addons/skin.confluence/language/Ossetic/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Persian (Iran)/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Persian/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Polish/strings.po
@@ -604,11 +690,14 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/language/Spanish (Mexico)/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Spanish/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Swedish/strings.po
+%%DATADIR%%/addons/skin.confluence/language/Tajik/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Tamil (India)/strings.po
+%%DATADIR%%/addons/skin.confluence/language/Telugu/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Thai/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Turkish/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Ukrainian/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Uzbek/strings.po
+%%DATADIR%%/addons/skin.confluence/language/Vietnamese (Viet Nam)/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Vietnamese/strings.po
 %%DATADIR%%/addons/skin.confluence/language/Welsh/strings.po
 %%DATADIR%%/addons/skin.confluence/media/CalibrateBottomRight.png
@@ -787,6 +876,8 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/media/OSDSeekForward.png
 %%DATADIR%%/addons/skin.confluence/media/OSDSeekFrame.png
 %%DATADIR%%/addons/skin.confluence/media/OSDSeekRewind.png
+%%DATADIR%%/addons/skin.confluence/media/OSDStereoscopicFO.png
+%%DATADIR%%/addons/skin.confluence/media/OSDStereoscopicNF.png
 %%DATADIR%%/addons/skin.confluence/media/OSDStopFO.png
 %%DATADIR%%/addons/skin.confluence/media/OSDStopNF.png
 %%DATADIR%%/addons/skin.confluence/media/OSDSubtitlesFO.png
@@ -804,6 +895,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/media/OverlayRAR.png
 %%DATADIR%%/addons/skin.confluence/media/OverlayWatched.png
 %%DATADIR%%/addons/skin.confluence/media/OverlayWatching.png
+%%DATADIR%%/addons/skin.confluence/media/PVR-EpgProgressIndicator.png
 %%DATADIR%%/addons/skin.confluence/media/PVR-HasTimer.png
 %%DATADIR%%/addons/skin.confluence/media/PVR-IsRecording.png
 %%DATADIR%%/addons/skin.confluence/media/RecentAddedBack.png
@@ -819,6 +911,62 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/media/SideFade.png
 %%DATADIR%%/addons/skin.confluence/media/StackFO.png
 %%DATADIR%%/addons/skin.confluence/media/StackNF.png
+%%DATADIR%%/addons/skin.confluence/media/SubMenuBack-Footer.png
+%%DATADIR%%/addons/skin.confluence/media/SubMenuBack-Header.png
+%%DATADIR%%/addons/skin.confluence/media/SubMenuBack-MiddleFO.png
+%%DATADIR%%/addons/skin.confluence/media/SubMenuBack-MiddleNF.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/-.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/LICENSE.txt
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/ar.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/bg.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/bs.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/ca.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/cs.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/da.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/de.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/el.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/en.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/es.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/et.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/fa.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/fi.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/fo.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/fr.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/gl.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/he.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/hi.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/hr.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/hu.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/hy.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/id.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/is.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/it.png
+%%DATADIR%%/addons/skin.confluence/media/Subtitles/flags/ja.png

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Antoine Brodin freebsd_committer 2014-01-12 17:03:50 UTC
State Changed
From-To: feedback->closed

Patch committed, thanks!